## org.apache.batik.dom.svg
Class AbstractSVGPathSegList.SVGPathSegLinetoVerticalItem

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGItem
          org.apache.batik.dom.svg.AbstractSVGPathSegList.SVGPathSegItem
              org.apache.batik.dom.svg.AbstractSVGPathSegList.SVGPathSegLinetoVerticalItem

All Implemented Interfaces:
  SVGItem, SVGPathSeg, SVGPathSegClosePath, SVGPathSegLinetoVerticalAbs, SVGPathSegLinetoVerticalRel

Enclosing class:
  AbstractSVGPathSegList

public class AbstractSVGPathSegList.SVGPathSegLinetoVerticalItem
extends AbstractSVGPathSegList.SVGPathSegItem
implements SVGPathSegLinetoVerticalAbs, SVGPathSegLinetoVerticalRel

Field Summary

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGPathSegList.SVGPathSegItem
`angle, largeArcFlag, letter, r1, r2, sweepFlag, type, x, x1, x2, y, y1, y2`

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGItem
`itemStringValue, parent`

Fields inherited from interface org.w3c.dom.svg.SVGPathSeg

`PATHSEG_ARC_ABS, PATHSEG_ARC_REL, PATHSEG_CLOSEPATH, PATHSEG_CURVETO_CUBIC_ABS, PATHSEG_CURVETO_CUBIC_REL, PATHSEG_CURVETO_CUBIC_SMOOTH_ABS, PATHSEG_CURVETO_CUBIC_SMOOTH_REL, PATHSEG_CURVETO_QUADRATIC_ABS, PATHSEG_CURVETO_QUADRATIC_REL, PATHSEG_CURVETO_QUADRATIC_SMOOTH_ABS, PATHSEG_CURVETO_QUADRATIC_SMOOTH_REL, PATHSEG_LINETO_ABS, PATHSEG_LINETO_HORIZONTAL_ABS, PATHSEG_LINETO_HORIZONTAL_REL, PATHSEG_LINETO_REL, PATHSEG_LINETO_VERTICAL_ABS, PATHSEG_LINETO_VERTICAL_REL, PATHSEG_MOVETO_ABS, PATHSEG_MOVETO_REL, PATHSEG_UNKNOWN`

Constructor Summary
`AbstractSVGPathSegList.SVGPathSegLinetoVerticalItem(short type, java.lang.String letter, float value)`
`AbstractSVGPathSegList.SVGPathSegLinetoVerticalItem(SVGPathSeg pathSeg)`

Method Summary
`protected java.lang.String` `getStringValue()` Return the string representation of the item.
`float` `getY()`
`void` `setY(float y)`

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGPathSegList.SVGPathSegItem
`getPathSegType, getPathSegTypeAsLetter`

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGItem
`getParent, getValueAsString, resetAttribute, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.svg.SVGPathSeg
`getPathSegType, getPathSegTypeAsLetter`

Constructor Detail

### AbstractSVGPathSegList.SVGPathSegLinetoVerticalItem

    public AbstractSVGPathSegList.SVGPathSegLinetoVerticalItem(short type,
                                                               java.lang.String letter,
                                                               float value)

### AbstractSVGPathSegList.SVGPathSegLinetoVerticalItem

    public AbstractSVGPathSegList.SVGPathSegLinetoVerticalItem(SVGPathSeg pathSeg)

Method Detail

### getY

    public float getY()

  Specified by:
    `getY` in interface `SVGPathSegLinetoVerticalAbs`

### setY

    public void setY(float y)

  Specified by:
    `setY` in interface `SVGPathSegLinetoVerticalAbs`

### getStringValue

    protected java.lang.String getStringValue()

  Description copied from class: `AbstractSVGItem`
  Return the string representation of the item.

  Overrides:
    `getStringValue` in class `AbstractSVGPathSegList.SVGPathSegItem`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.